# -*- coding: utf-8 -*-

import maya.cmds as cmds
import maya.mel as mel

def save_clip(*args):
    try:
        selected_clip = cmds.ls( sl=True )[0]
        selected_clip_source =cmds.clip(selected_clip,query=True,sourceClipName=True,allAbsolute=True)
        if selected_clip_source != selected_clip:
            mel.eval('copyAbsoluteChannelsClipData("%s","%s")' % (selected_clip_source,selected_clip))

        selected_clip_library =cmds.clip(isolate=True,name=selected_clip_source,allAbsolute=True)

        cmds.select(clear=True)
        cmds.select(selected_clip_library[0],replace=True)
        cmds.select(selected_clip_source,add=True)

        o_save = cmds.textField('clip_save_pass',q=True,text=True) + selected_clip + '.ma'

        cmds.file(o_save,type='mayaAscii',force=True,exportSelected=True,channels=True, constructionHistory=True)

        lib = cmds.ls(selected_clip_library,type='clipLibrary')
        if len(lib) != 0:
             for i in range(len(lib)):
                 cmds.delete(lib[i])
    except:
        cmds.confirmDialog( title='ERROR', message='Please select Clip ONLY in TraxEditor !_! ')

def save_pass(*args):
    filePath = 'F:/user_maya/FBX_Maya2014/clips/'
    singleFilters = "Maya ASCII (*.ma)"
    n_save_clip_pass = cmds.fileDialog2(fileMode=3,fileFilter=singleFilters,dialogStyle=2,startingDirectory=filePath,caption='Clip Save Pass')
    
    if n_save_clip_pass[0]:
        cmds.textField('clip_save_pass', edit=True, text=n_save_clip_pass[0] + '/')

def save_clip_menu(*args):

    if cmds.window('ri_SaveClip', exists=True):
        cmds.deleteUI('ri_SaveClip')

    cmds.window()
    window = cmds.window('ri_SaveClip', title='ICON Maker',sizeable=False, topLeftCorner=[200, 200], widthHeight=(300,50))
    cmds.columnLayout( adjustableColumn=True )
    cmds.text(label='Save Selected Clip in Trax Editor or Clip_Source in Visor ',bgc=[0.2,0.2,0.2],align='center')
    cmds.separator( height=15, style='in' )

    cmds.text(label=' Select Clip or Source Only !! ',align='center' )
    cmds.text(label=u'  ')
    cmds.setParent('..')
    cmds.rowLayout(numberOfColumns=3,adjustableColumn1=2)
    cmds.text(label=' SavePass')
    cmds.textField('clip_save_pass',text='F:/user_maya/FBX_Maya2014/clips/',width=350)
    cmds.button('save_to',label='SaveTo',command=save_pass)
    cmds.setParent('..')
    cmds.separator( height=15, style='none' )
    cmds.rowLayout(numberOfColumns=3,adjustableColumn1=2)
    cmds.text(label=u'',width=140)
    cmds.button(label='   Save   ',width=180,bgc=[0.4,0.4,0.3],align='center',command=save_clip)
    cmds.text(label=u'  ')
    cmds.setParent('..')
    cmds.separator( height=15, style='in' )
    cmds.showWindow(window)